extends Scene


func _on_dense_forest_interacted() -> void:
	$kq4_029_dense_forest.default_script(self)


func _on_enchanted_grove_interacted() -> void:
	$kq4_011_enchanted_grove.default_script(self)


func _on_cave_entrance_interacted() -> void:
	$kq4_006_cave_entrance.default_script(self)


func _on_ogres_cottage_interacted() -> void:
	$kq4_004_ogres_cottage.default_script(self)


func _on_cottage_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You see the back of a large, thatched-roof house.")
	).build(self, "_on_script_complete"))


func _on_window_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You look through the window, but can make out no details.")
	).build(self, "_on_script_complete"))


func _on_boulders_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The rocks are insignificant here.")
	).build(self, "_on_script_complete"))


func _on_bushes_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You don\u2019t see many shrubs here.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("This is a creepy place! You have found a grove of very odd, (and scary-looking), trees. A thick forest surrounds the grove.")
	).build(self, "_on_script_complete"))
